/**
 Copyright 2007 INRIA
 
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 USA
 
 Contact: fractal@objectweb.org
 Author:  Alessio Pace
*/
package org.objectweb.fractal.cecilia.adl.maven.plugin;

/**
 * @author Alessio Pace
 * 
 */
public class CannotUseOutDirParameterException extends RuntimeException {

	private static final long serialVersionUID = 2301263259116924844L;

	public CannotUseOutDirParameterException() {
		super(
				"You must use an <outDir> element inside the <configuration> element to configure the output directory, and you can't override it"
						+ " in the <arguments> sub section with command line arguments");
	}

}
